'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var utils = require('@emotion/utils');
var React = require('react');
var createCache = _interopDefault(require('@emotion/cache'));

// $FlowFixMe
var CSSContext = React.createContext(null);
var defaultCache = createCache();
function consumer(instance, func) {
  return React.createElement(CSSContext.Consumer, null, function (context) {
    if (context === null) {
      if (utils.isBrowser && process.env.NODE_ENV !== 'test') {
        return func(defaultCache);
      }

      if (instance.emotionCache === undefined) {
        instance.emotionCache = createCache();
      }

      return React.createElement(CSSContext.Provider, {
        value: instance.emotionCache
      }, func(instance.emotionCache));
    } else {
      return func(context);
    }
  });
}

exports.CSSContext = CSSContext;
exports.consumer = consumer;
//# sourceMappingURL=index.cjs.js.map
