import { isBrowser } from '@emotion/utils';
import { createContext, createElement } from 'react';
import createCache from '@emotion/cache';

// $FlowFixMe
var CSSContext = createContext(null);
var defaultCache = createCache();
function consumer(instance, func) {
  return createElement(CSSContext.Consumer, null, function (context) {
    if (context === null) {
      if (isBrowser && process.env.NODE_ENV !== 'test') {
        return func(defaultCache);
      }

      if (instance.emotionCache === undefined) {
        instance.emotionCache = createCache();
      }

      return createElement(CSSContext.Provider, {
        value: instance.emotionCache
      }, func(instance.emotionCache));
    } else {
      return func(context);
    }
  });
}

export { CSSContext, consumer };
//# sourceMappingURL=index.es.js.map
